BUNDLE-OUTDATED(1) General Commands Manual BUNDLE-OUTDATED(1)

bundle-outdated - List installed gems with newer versions available

bundle outdated [GEM] [--local] [--pre] [--source] [--strict] [--parseable | --porcelain] [--group=GROUP] [--groups] [--patch|--minor|--major] [--filter-major] [--filter-minor] [--filter-patch] [--only-explicit]

Outdated lists the names and versions of gems that have a newer version available in the given source. Calling outdated with [GEM [GEM]] will only check for newer versions of the given gems. Prerelease gems are ignored by default. If your gems are up to date, Bundler will exit with a status of 0. Otherwise, it will exit 1.

Do not attempt to fetch gems remotely and use the gem cache instead.
Check for newer pre-release gems.
Check against a specific source.
Only list newer versions allowed by your Gemfile requirements, also respecting conservative update flags (--patch, --minor, --major).
Use minimal formatting for more parseable output.
List gems from a specific group.
List gems organized by groups.
Prefer updating only to next minor version.
Prefer updating to next major version (default).
Prefer updating only to next patch version.
Only list major newer versions.
Only list minor newer versions.
Only list patch newer versions.
Only list gems specified in your Gemfile, not their dependencies.

See bundle update(1) bundle-update.1.html for details.

The 3 filtering options do not affect the resolution of versions, merely what versions are shown in the output.

If the regular output shows the following:

* Gem       Current  Latest  Requested  Groups
* faker     1.6.5    1.6.6   ~> 1.4     development, test
* hashie    1.2.0    3.4.6   = 1.2.0    default
* headless  2.2.3    2.3.1   = 2.2.3    test

--filter-major would only show:

* Gem       Current  Latest  Requested  Groups
* hashie    1.2.0    3.4.6   = 1.2.0    default

--filter-minor would only show:

* Gem       Current  Latest  Requested  Groups
* headless  2.2.3    2.3.1   = 2.2.3    test

--filter-patch would only show:

* Gem       Current  Latest  Requested  Groups
* faker     1.6.5    1.6.6   ~> 1.4     development, test

Filter options can be combined. --filter-minor and --filter-patch would show:

* Gem       Current  Latest  Requested  Groups
* faker     1.6.5    1.6.6   ~> 1.4     development, test

Combining all three filter options would be the same result as providing none of them.

May 2024